Bug 843847 - TestCase extra_link field cannot be set upon test case creation
TestCase extra_link field cannot be set upon test case creation
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.8.1
Assigned To: Yang Ren
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 10:45 EDT by Petr Šplíchal
Modified: 2018-02-15 19:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-07-27 10:45:42 EDT
Description of problem:

When creating a new test case providing the new extra_link field
(see bug 797921) has no effect. Please, add possibility to set the
reference link when creating a new test case. Also, the new field
is not documented in the xmlrpc reference. Should be present in
both TestCase.create() and TestCase.update() methods. Thanks.

Version-Release number of selected component (if applicable):
3.8.0

Steps to Reproduce:
TestCase.create({
    'category': 518,
    'product': 182,
    'summary': 'nothing',
    'extra_link': "http://some.host.com/",
    'priority': 3})
  
Actual results:
{'requirement': '',
'create_date': '2012-07-27 22:36:00',
'estimated_time': '00:00:00',
'text': {'case': 'nothing',
'breakdown': '',
'create_date': '2012-07-27 22:36:00',
'author': 'psplicha',
'setup': '',
'effect': '',
'case_text_version': 1,
'case_id': 175666,
'action': '',
'author_id': 2117,
'id': 256523},
'priority_id': 3,
'extra_link': None,     <---------------- here ------------
'tag': [],
'reviewer': None,
'category': 'Sanity',
'is_automated': 0,
'default_tester_id': None,
'author': 'psplicha',
'arguments': '',
'is_automated_proposed': False,
'priority': 'P3',
'case_id': 175666,
'attachment': [],
'case_status_id': 1,
'component': [],
'plan': [],
'default_tester': None,
'reviewer_id': None,
'notes': '',
'script': '',
'summary': 'nothing',
'alias': '',
'case_status': 'PROPOSED',
'author_id': 2117,
'category_id': 518}
Comment 2 Xin Gao 2012-09-24 01:58:07 EDT
Hi Petr,
I run those two methods(TestCase.create(), TestCase.update) on env production just now, they worked well for me. detail steps are as follows,

1. create a new testcase providing extra_link field:
 >>> content = {
    'category': 240,
    'product': 243,
    'summary': 'testsooooooooooooo',
    'extra_link': "http://some.host.com/",
    'priority': 3}

 >>> TestCase.create(content)

=======result==============
{'alias': '',
 'arguments': '',
 'attachment': [],
 'author': 'xgao',
 'author_id': 2923,
 'case_id': 204932,
 'case_status': 'PROPOSED',
 'case_status_id': 1,
 'category': '--default--',
 'category_id': 240,
 'component': [],
 'create_date': '2012-09-24 13:39:45',
 'default_tester': None,
 'default_tester_id': None,
 'estimated_time': '00:00:00',
 'extra_link': 'http://some.host.com/',
 'is_automated': 0,
 'is_automated_proposed': False,
 'notes': '',
 'plan': [],
 'priority': 'P3',
 'priority_id': 3,
 'requirement': '',
 'reviewer': None,
 'reviewer_id': None,
 'script': '',
 'summary': 'testsooooooooooooo',
 'tag': [],
 'text': {'action': '',
  'author': 'xgao',
  'author_id': 2923,
  'breakdown': '',
  'case': 'testsooooooooooooo',
  'case_id': 204932,
  'case_text_version': 1,
  'create_date': '2012-09-24 13:39:45',
  'effect': '',
  'id': 298802,
  'setup': ''}}

===========================

2. update above testcase's extra_link field,
 >>> TestCase.update(204932 ,{'extra_link': 'http://www.baidu.com'})
================result==================
[{'alias': '',
  'arguments': '',
  'attachment': [],
  'author': 'xgao',
  'author_id': 2923,
  'case_id': 204932,
  'case_status': 'PROPOSED',
  'case_status_id': 1,
  'category': '--default--',
  'category_id': 240,
  'component': [],
  'create_date': '2012-09-24 13:39:45',
  'default_tester': None,
  'default_tester_id': None,
  'estimated_time': '00:00:00',
  'extra_link': 'http://www.baidu.com/',
  'is_automated': 0,
  'is_automated_proposed': False,
  'notes': '',
  'plan': [],
  'priority': 'P3',
  'priority_id': 3,
  'requirement': '',
  'reviewer': None,
  'reviewer_id': None,
  'script': '',
  'summary': 'testsooooooooooooo',
  'tag': []}]
=======================================



So, could you check your script, trying to run it again? See whether it works well now? And if you still get error, pls give us your detail info, and tell us how to reproduce your problem.

Thanks very much.
Xin
Comment 3 Zheng Liu 2012-09-27 22:08:52 EDT
This bug has been fixed in tcms3.8.0.  The xmlrpc reference doc will be updated in tcms3.8.1.
Comment 4 Xin Gao 2012-10-10 03:58:03 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
check doc

Actual result:
doc is updated.

Note You need to log in before you can comment on or make changes to this bug.